Search buildingsAsk AIpost https://api.repliers.io/buildingsSearch buildings based on the provided filter criteria.Query Paramsareaarray of stringsFilter buildings by the geographical area (also referred to as region or county).areaADD stringbuildingNamearray of stringsFilter buildings by their name. Availability of building names may vary by MLS and is not guaranteed for all buildings.buildingNameADD stringcityarray of stringsFilters buildings by city names. Returns buildings within the specified city.cityADD stringclassarray of stringsFilter by property class.classADD stringdisplayPublicstringenumFilter by display public statusyesnoAllowed:yesnolatfloat-90 to 90Accepts a value for latitude. Must be used with radius parameter to return buildings within a certain radius of a given latitude and longitude.longfloat-180 to 180Accepts a value for longitude. Must be used with radius parameter to return buildings within a certain radius of a given latitude and longitude.mapjsonGeoJSON polygon or multi-polygon boundary for geographical filtering. Limits results to buildings within the specified boundaries. For complex polygons or multipolygons that exceed query parameter size limits, use the POST method and include the map data in the request body. Format: Array of coordinate arrays, where each coordinate is [longitude, latitude] in WGS 84 format. The polygon must be closed (first and last points must be identical). For more information refer to the implementation guide Filtering Listings Geo-Spatially Using the "map" ParametermaxPriceinteger≥ 0Maximum price filtermaxStoriesinteger≥ 1Maximum number of stories/floors in the buildingminBathroomsinteger≥ 0Minimum number of bathroomsminBedroomsinteger≥ 0Minimum number of bedroomsminPriceinteger≥ 0Minimum price filterminStoriesinteger≥ 1Minimum number of stories/floors in the buildingneighborhoodarray of stringsFilter results by neighborhood names. Returns specified neighborhoods. Neighborhoods represent the smallest geographical division in the hierarchy.neighborhoodADD stringpageNuminteger≥ 1Defaults to 1If specified indexes a specific page in the results set. For example, if there are 1000 buildings and 100 buildings per page, if you'd like to view buildings 101-200 you'd specify pageNum=2propertyTypearray of stringsFilter by property type(s). Returns buildings matching the specified property types.propertyTypeADD stringradiusfloat≥ 1Accepts a value for radius in KM. Must be used with lat and long parameters to return buildings within the specified radius of a given latitude and longitude.resultsPerPageinteger1 to 300Defaults to 100The amount of buildings to return in each page of the results set.sortBystringenumSort results by specified fieldnumUnitsDescAllowed:numUnitsDescstreetNamearray of stringsFilter by street name(s). Returns buildings located on the specified streets.streetNameADD stringstreetNumberarray of stringsFilter by street number(s). Returns buildings with the specified street numbers.streetNumberADD stringtypestringenumUsed to filter properties that are for sale or for lease.saleleaseAllowed:saleleaseBody ParamsOptional request body for complex geographical filtering using GeoJSON polygons. Use this for large polygon data that exceeds query parameter size limits.mapobjectGeoJSON polygon for geographical filtering. Limits results to buildings within the specified boundaries. Format: Array of coordinate arrays, where each coordinate is [longitude, latitude] in WGS 84 format. The polygon must be closed (first and last points must be identical).map objectResponses 200Successful response containing list of buildings 400Bad Request 401Unauthorized 403Forbidden 500Internal Server ErrorUpdated about 2 months ago